Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class ExtendedLockManager

All Superinterfaces:
  LockManager, java.rmi.Remote

All Known Implementing Classes:
  CoreExtendedLockManager, CoreLockManager, ExtendedLockManagerImpl

    public interface class ExtendedLockManager

extends LockManager

A facade interface for managing locks whose methods should not be exposed to web services.

(Unpublished)

Method Summary
`Item` | `acquireDavLock(long id, NamedValue[] attributes)` Acquires a DAV lock on the given Item.
`Item` | `acquireNullOrDavLock(long id, java.lang.String name, NamedValue[] attributes)` Acquires either a Null Resource Lock or a DAV lock on the given Item name.
`Item` | `refreshDavLock(long id, NamedValue[] attributes)` Refreshes a DAV lock.
`void` | `releaseDavLock(long id)` Releases a DAV on the given Item.
`void` | `releaseNullResourceLock(long id, java.lang.String name)` Releases a Null Resource Lock on the given Item name.

Methods inherited from interface oracle.ifs.fdk.LockManager
`acquireManualLocks, listLockedDocuments, releaseManualLocks`

Method Detail

### acquireDavLock

    Item acquireDavLock(long id,
                        NamedValue[] attributes)
                        throws FdkException

  Description copied from interface: `ExtendedLockManager`
  Acquires a DAV lock on the given Item.

  Parameters:
    `id` - the ID of the Item to lock.
    `attributes` - DAV lock attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.LOCK_TIMEOUT, Date}
    - {Attributes.LOCK_DEPTH, Integer}
    - {Attributes.LOCK_TOKEN, String}
    - {Attributes.LOCK_DAV_OWNER, String}
  Returns:
    Item the LockEntry Item that was created
  Throws:
    `FdkException` - if the operation fails.

### releaseDavLock

    void releaseDavLock(long id)
                        throws FdkException

  Description copied from interface: `ExtendedLockManager`
  Releases a DAV on the given Item. Does not affect other locks.

  Parameters:
    `id` - the ID of the object to unlock.
  Throws:
    `FdkException` - if the operation fails.

### refreshDavLock

    Item refreshDavLock(long id,
                        NamedValue[] attributes)
                        throws FdkException

  Description copied from interface: `ExtendedLockManager`
  Refreshes a DAV lock.

  Parameters:
    `id` - the ID of the object on which to refresh the lock.
    `attributes` - DAV lock attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.LOCK_TIMEOUT, Date}
    - {Attributes.LOCK_DEPTH, Integer}
    - {Attributes.LOCK_TOKEN, String}
    - {Attributes.LOCK_DAV_OWNER, String}
  Returns:
    Item the LockEntry Item that was refreshed
  Throws:
    `FdkException` - if the operation fails.

### acquireNullOrDavLock

    Item acquireNullOrDavLock(long id,
                              java.lang.String name,
                              NamedValue[] attributes)
                              throws FdkException

  Description copied from interface: `ExtendedLockManager`
  Acquires either a Null Resource Lock or a DAV lock on the given Item name.

  Parameters:
    `id` - the ID of the Folder containing the Item to lock.
    `name` - the name of the Item to lock.
    `attributes` - DAV lock attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.LOCK_TIMEOUT, Date}
    - {Attributes.LOCK_DEPTH, Integer}
    - {Attributes.LOCK_TOKEN, String}
    - {Attributes.LOCK_DAV_OWNER, String}
  Returns:
    Item the LockEntry Item that was created
  Throws:
    `FdkException` - if the operation fails.

### releaseNullResourceLock

    void releaseNullResourceLock(long id,
                                 java.lang.String name)
                                 throws FdkException

  Description copied from interface: `ExtendedLockManager`
  Releases a Null Resource Lock on the given Item name.

  Parameters:
    `id` - the ID of the Folder containing the Item holding the lock
    `name` - the name of the Item on which the lock applies
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD